> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settings

> Retrieve the settings for the current workspace.



## OpenAPI

````yaml get /workspaces/settings
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/settings:
    get:
      tags:
        - Workspace Setting
      description: Retrieve the settings for the current workspace.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      responses:
        '200':
          description: A list of workspace settings.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkspaceSetting'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    WorkspaceSetting:
      type: object
      required:
        - workspace_id
        - attribute_id
        - value
      properties:
        workspace_id:
          type: string
          description: The unique identifier of the workspace.
        attribute_id:
          type: string
          description: The unique identifier of the attribute.
        value:
          description: The value of the attribute.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````